.PHONY: all
all: index.html

.PHONY: task-filecycle.dot
task-lifecycle.dot: 
	php ../../bin/console workflow:dump --with-metadata task_lifecycle >$@

illus-task-lifecycle.svg: task-lifecycle.dot
	dot -Tsvg -o $@ $<

index.html: index.md index.css illus-task-lifecycle.svg
	pandoc --from markdown --to html --standalone --css $(word 2,$^) --output $@ $< 

clean:
	rm -f index.html task-lifecycle.dot
